Package org.eclipse.viatra.query.runtime.base.api.profiler

## Enum ProfilerMode

- java.lang.Object
- - java.lang.Enum<ProfilerMode>
  - - org.eclipse.viatra.query.runtime.base.api.profiler.ProfilerMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ProfilerMode>`

      public enum ProfilerMode
      extends java.lang.Enum<ProfilerMode>

  Since:
    2.3

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `OFF` | The base index profiler is not available
    `START_DISABLED` | The profiler is initialized but not started until necessary
    `START_ENABLED` | The profiler is initialized and started by default

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ProfilerMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ProfilerMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final ProfilerMode OFF

      The base index profiler is not available

    - #### START_DISABLED

          public static final ProfilerMode START_DISABLED

      The profiler is initialized but not started until necessary

    - #### START_ENABLED

          public static final ProfilerMode START_ENABLED

      The profiler is initialized and started by default

  - ### Method Detail

    - #### values

          public static ProfilerMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProfilerMode c : ProfilerMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProfilerMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null